UnsatisfiedLinkError, Initialization error.

0 votes
asked Jan 22 by raviraj (390 points)
Hi, I just added jni libs for both 32 and 64 bit into the app, And later I can see the below error continously,its pointing to below line.
if (!Engine.initialize(this, key)) {
    Log.e("HelloAR", "Initialization Failed.");
}

java.lang.UnsatisfiedLinkError: No implementation found for boolean cn.easyar.engine.EasyARNative.nativeInit(java.lang.ClassLoader, android.content.Context, java.lang.String) (tried Java_cn_easyar_engine_EasyARNative_nativeInit and Java_cn_easyar_engine_EasyARNative_nativeInit__Ljava_lang_ClassLoader_2Landroid_content_Context_2Ljava_lang_String_2)
        at cn.easyar.engine.EasyARNative.nativeInit(Native Method)
        at cn.easyar.engine.EasyAR.initializeInner(EasyAR.java:162)
        at cn.easyar.engine.EasyAR.initialize(EasyAR.java:134)
        at cn.easyar.Engine.initialize(Engine.java:9)

Thanks in advance, need it immediately.

1 Answer

0 votes
answered Jan 23 by kenn (6,910 points)
Looks like you are missing EasyAR so files. Have you tried the samples and are you sure all files in EasyAR package are correctly used?

And if you are using 3.0.0 or 3.0.1 and generating Android App Bundle, there was a known issue which has been fixed in 3.1.0 and 4.0.0, an upgrade would help.
Welcome to EasyAR SDK Q&A, where you can ask questions and receive answers from other members of the community.
...